/*
======================================================================
SR_SaveTransformed
is a simple script that will save all selected objects to a folder 

www.Steelronin.com
Scott@steelronin.com  
======================================================================
*/

scriptName = "SR_SaveTransformed v0.1.0";
copyright = "Copyright (c) 2004 Scott lange";

/*
version notes
*/ 

@version 2.3
@warnings
@name SR_SaveTransformed
@script generic

sep = "\\";
#if platform == MACINTOSH
    sep = ":";
#end

generic
{
    
    
    ch = 23;
    objectdir = getdir(OBJECTSDIR);
    selList;
    incName;
    meshname;
    name;
    location;
    prefix;
    suffix;
    
    selList = Scene().getSelect();
    
    if(selList[1].genus != MESH || selList[1].null == 1)
        error("You must select a Mesh object");
        
    c1 = objectdir +sep +"Output Folder";
    c2 = "";
    c3 = "";
    
    reqbegin(scriptName);
    reqsize(256,125);

    c1 = ctlfilename("Folder",c1);
        ctlposition(c1,5,5,225,20);
    c2 = ctlstring("Prefix",c2);
        ctlposition(c2,8,c1.y+ch,222,20);
    c3 = ctlstring("suffix",c3);
        ctlposition(c3,10,c2.y+ch,220,20);
   
    return if !reqpost();
    location = getvalue(c1);
    prefix = getvalue(c2);
    suffix = getvalue(c3);
    
    reqend();

    output = split(location);
    
    for(n=1;n<=selList.size();n++)
    {
        SelectItem(selList[n].id);
        meshname = selList[n].name;

        incName = output[1] +output[2] +prefix +meshname +suffix +".lwo";
        SaveTransformed(incName);
    }
    
    // reselect items

    SelectItem(selList[1].id);
    for(n=2;n<=size(selList);n++)
       AddToSelection(selList[n].id);  

    info("Save Transformed " +selList.size() +" Objects");
}